rte_bbdev_op_ldpc_enc(3)

NAME
rte_bbdev_op_ldpc_enc

SYNOPSIS

#include <rte_bbdev_op.h>

  Data Fields

struct rte_bbdev_op_data input
struct rte_bbdev_op_data output
uint32_t op_flags
uint8_t rv_index
uint8_t basegraph
uint16_t z_c
uint16_t n_cb
uint8_t q_m
uint16_t n_filler
uint8_t code_block_mode

Detailed Description

Operation structure for LDPC encode. An operation can be performed on one CB at a time "CB-mode". An operation can be performed on one or multiple CBs that logically belong to a TB "TB-mode".

The input data is the CB or TB input to the decoder.

The output data is the ratematched CB or TB data, or the output after bit-selection if RTE_BBDEV_LDPC_INTERLEAVER_BYPASS is set.

The output mbuf data structure is expected to be allocated by the application with enough room for the output data.

Definition at line 717 of file rte_bbdev_op.h.

Field Documentation

  struct rte_bbdev_op_data input
The input TB or CB data

Definition at line 719 of file rte_bbdev_op.h.

  struct rte_bbdev_op_data output
The rate matched TB or CB output buffer

Definition at line 721 of file rte_bbdev_op.h.

  uint32_t op_flags
Flags from rte_bbdev_op_ldpcenc_flag_bitmasks

Definition at line 724 of file rte_bbdev_op.h.

  uint8_t rv_index
Rate matching redundancy version

Definition at line 727 of file rte_bbdev_op.h.

  uint8_t basegraph
1: LDPC Base graph 1, 2: LDPC Base graph 2. [3GPP TS38.212, section 5.2.2]

Definition at line 731 of file rte_bbdev_op.h.

  uint16_t z_c
Zc, LDPC lifting size. [3GPP TS38.212, section 5.2.2]

Definition at line 735 of file rte_bbdev_op.h.

  uint16_t n_cb
Ncb, length of the circular buffer in bits. [3GPP TS38.212, section 5.4.2.1]

Definition at line 739 of file rte_bbdev_op.h.

  uint8_t q_m
Qm, modulation order {2,4,6,8,10}. [3GPP TS38.212, section 5.4.2.2]

Definition at line 743 of file rte_bbdev_op.h.

  uint16_t n_filler
Number of Filler bits, n_filler = K – K’ [3GPP TS38.212 section 5.2.2]

Definition at line 747 of file rte_bbdev_op.h.

  uint8_t code_block_mode
[0 - TB : 1 - CB]

Definition at line 749 of file rte_bbdev_op.h.

  struct rte_bbdev_op_enc_ldpc_cb_params cb_params
Struct which stores Code Block specific parameters

Definition at line 752 of file rte_bbdev_op.h.

  struct rte_bbdev_op_enc_ldpc_tb_params tb_params
Struct which stores Transport Block specific parameters

Definition at line 754 of file rte_bbdev_op.h.

Author

Generated automatically by Doxygen for DPDK from the source code.